# $Revision: 1.23 $, $Date: 2010/10/13 20:32:37 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	RsyncP
Summary:	File::RsyncP - Perl implementation of an rsync client
Summary(pl.UTF-8):	File::RsyncP - implementacja klienta rsync w Perlu
Name:		perl-File-RsyncP
Version:	0.70
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f244372d15a2991b8700f62e73ac51e4
URL:		http://search.cpan.org/dist/File-RsyncP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::RsyncP is a Perl implementation of an rsync client. It can send
or receive files, either by running rsync on the remote machine, or
connecting to an rsyncd daemon on the remote machine.

File::RsyncP seperates all file system I/O into a seperate module
(File::RsyncP::FileIO), which can be replaced by any module of your
own design. This allows rsync interfaces to non-filesystem data types
(eg: databases) to be developed with relative ease.

File::RsyncP does not yet provide a command-line interface that mimics
native rsync. Instead it provides an API that makes it possible to
write simple scripts that talk to rsync or rsyncd.

%description -l pl.UTF-8
File::RsyncP jest implementacją klienta rsync w Perlu. Umożliwia
wysyłanie i pobieranie plików, zarówno przez uruchomionego zdalnie
klienta rsync jak i przez połączenie z demonem rsyncd na zdalnej
maszynie.

Wszystkie operacje wejścia/wyjścia na systemie plików zostały
wyodrębnione do oddzielnego modułu (File::RsyncP::FileIO), który może
być zastąpiony przez inny moduł własnego projektu. Umożliwia to w
miarę proste tworzenie interfejsów do rsynca, które nie operują na
systemie plików a np. na bazach danych.

File::RsyncP nie udostępnia jeszcze interaktywnego interfejsu
naśladującego linię poleceń programu rsync. W zamian udostępnia API,
umożliwiające pisanie prostych skryptów do komunikacji z rsync
i rsyncd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} -j1

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/File/RsyncP.pm
%dir %{perl_vendorarch}/File/RsyncP
%{perl_vendorarch}/File/RsyncP/*.pm
%dir %{perl_vendorarch}/auto/File/RsyncP
%dir %{perl_vendorarch}/auto/File/RsyncP/Digest
%dir %{perl_vendorarch}/auto/File/RsyncP/FileList
%{perl_vendorarch}/auto/File/RsyncP/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/File/RsyncP/*/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-RsyncP.spec,v $
Revision 1.23  2010/10/13 20:32:37  wiget
- working URL for Source0

Revision 1.22  2010/08/14 20:28:14  areq
- 0.70

Revision 1.21  2010/06/06 08:36:16  arekm
- release 4

Revision 1.20  2008/04/02 21:18:06  areq
- rel 3

Revision 1.19  2008-02-10 12:09:44  arekm
- rel 2

Revision 1.18  2007-11-25 20:11:19  areq
- Rel 1

Revision 1.17  2007-04-11 21:22:58  qboosh
- generic URL

Revision 1.16  2007/04/11 21:03:38  areq
- 0.68

Revision 1.15  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.13  2006/08/09 21:24:47  agaran
- up to 0.62, rel 0.1, builds here

Revision 1.12  2006/05/29 08:21:38  blaass
- spelling fixed, deamon->daemon

Revision 1.11  2005/05/01 16:05:31  qboosh
- grepable file list

Revision 1.10  2005/05/01 15:47:48  ankry
- reverted: removed bogus and unnecessary files

Revision 1.9  2005/05/01 15:25:25  wolvverine
- add lost files
- up release to 2
- STBR

Revision 1.8  2004/11/03 22:30:21  paladine
- formatting

Revision 1.7  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.6  2004/05/30 11:31:58  adamg
- updated to 0.52

Revision 1.5  2004/05/23 23:10:35  adamg
- updated to 0.51

Revision 1.4  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.3  2004/03/28 15:47:24  adamg
- updated to 0.50

Revision 1.2  2004/02/15 20:32:35  adamg
- updated to 0.46

Revision 1.1  2004/01/01 20:08:03  pius
- initial release
